--[[
This code is MIT licensed, see http://www.opensource.org/licenses/mit-license.php
(C) 2010 - 2011 Gideros Mobile 
]]
require "button"
require "soundutils"

SoundButton = Core.class(Sprite)

function SoundButton:init(upimage, downimage, soundfile)
	local up = Bitmap.new(Texture.new(upimage))
	local down = Bitmap.new(Texture.new(downimage))
	local button = Button.new(up, down)
  local sound_channel = nil

	self:addChild(button)

	local sound = Sound.new(soundfile)
	
	button:addEventListener("press", function() 
      sound_channel = sound:play(0, math.huge) 
  end)
  button:addEventListener("click", function() sound_channel:stop() end)
end

MultiSoundButton = Core.class(Sprite)

function MultiSoundButton:init(upimage, downimage, soundfiles)
	local up = Bitmap.new(Texture.new(upimage))
	local down = Bitmap.new(Texture.new(downimage))
	local button = Button.new(up, down)
  local sound_channel = nil

	self:addChild(button)
  self.multi = MultiSound:new(soundfiles)
  button:addEventListener("press", function() self.multi:play() end)
  button:addEventListener("click", function() self.multi:stop() end)

end
